
QGIS Application - Bug report #4443

WMS 1.3.0 axis order

2011-10-25 11:57 PM - Jeff Konnen

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14375

Description

In WMS 1.3.0 the axis order of a lot of SRS has changed.

Several GIS Packages have been modified to correctly implement WMS 1.3.0 with regard to the changed axis orders.

The ones I know that are correct as of today is ArcGIS 10 and Mapserver 6.

qGIS does not seem to have implemented the correct definition of the axis orders.

(cf http://trac.osgeo.org/mapserver/ticket/3582)

WMS - Services served with Mapserver 6 or ArcGIS Server 10 in one of the concerned SRS (e.g. EPSG:2169 for me) are not displayed

correctly in qGIS.

The only workaround is to include the version number ?VERSION=1.1.0 in the URL..

Related issues:

Related to QGIS Application - Bug report # 9345: WMS axis ordering depending ... Closed 2014-01-15

History

#1 - 2011-12-09 08:29 AM - Paolo Cavallini

- Category set to Web Services clients/WMS

#2 - 2011-12-14 12:38 AM - Bernhard Ströbl

I can add geoserver 2.1 to the list of WMS servers that have changed the axis order for 1.3.0

#3 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2011-12-24 05:57 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Assignee set to Marco Hugentobler

- Category changed from Web Services clients/WMS to QGIS Server

#5 - 2012-04-16 06:31 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-05-24 12:34 PM - Jürgen Fischer
http://trac.osgeo.org/mapserver/ticket/3582


- Status changed from Open to Feedback

Is this still valid?  commit:949b2f0 could have fixed this.

#7 - 2012-05-25 02:54 AM - Jeff Konnen

Where can this be tested? In QGIS 1.7.4 the bug is still present

#8 - 2012-05-25 08:45 AM - Jürgen Fischer

Jeff Konnen wrote:

Where can this be tested? In QGIS 1.7.4 the bug is still present

For nightly builds of master refer to the download page

#9 - 2012-09-04 11:56 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#10 - 2012-10-04 10:10 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed

Closing for lack of feedback and it should be fixed. Please reopen if necessary.
https://issues.qgis.org/projects/quantum-gis/wiki/Download

